Aller au contenu

condenser_api.get_followers ​

since HF9 testnet: not working — Will not work because this function requires jussi to work correctly which is not available on the testnet mainnet: working

Purpose ​

Retourne la liste des abonnés (followers) d'un compte. Paramètres : account:string ; start:string (compte de départ) ; type:string par exemple : blog ; limit:int jusqu'à 1000

account (string)start (string)type (string)limit (int)
"steemit"null"blog"10Interroge les abonnements (follow) du compte nommé steemit, jusqu'à 10 résultats.
"alice"null"ignore"100Interroge les mises en sourdine (mute) du compte nommé alice, jusqu'à 100 résultats.

Voir aussi : follow_api.get_followers, Paginated API Methods

Parameters ​

PARAMETERS
json
[
  "steemit",
  null,
  "blog",
  10
]

Example ​

Example 1 ​

BASH
bash
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "condenser_api.get_followers",
    "params": [
      "steemit",
      null,
      "blog",
      10
    ],
    "id": 1
  }'

Example 2 ​

BASH
bash
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "condenser_api.get_followers",
    "params": [
      "alice",
      null,
      "ignore",
      100
    ],
    "id": 1
  }'